# Interface PBMCustomShaderSlots

interface PBMCustomShaderSlots {
fragment: {
mainBefore: string;
mainEnd: string;
mainModelColor: string;
mainPanoColor: string;
mainStart: string;
};
vertex: { mainBefore: string; mainEnd: string; mainStart: string };
}

- Defined in lib/five/model/materials/pbmMaterial.ts:28

##### Index

### Properties

fragment
vertex

## Properties

### fragment

fragment: {
mainBefore: string;
mainEnd: string;
mainModelColor: string;
mainPanoColor: string;
mainStart: string;
}

- Defined in lib/five/model/materials/pbmMaterial.ts:34

### vertex

vertex: { mainBefore: string; mainEnd: string; mainStart: string }

- Defined in lib/five/model/materials/pbmMaterial.ts:29